package com.iformall.service;

import com.github.pagehelper.PageInfo;
import com.iformall.domain.po.WxCouponActionLog;

public interface WxCouponActionLogService {

	/**
     * 根据实体查询分页列表
     *
     * @param record
     * @param offset
     * @param limit
     * @return
     */
	PageInfo<WxCouponActionLog> listAsPage(WxCouponActionLog record, Integer pageIndex, Integer pageSize);
	
	/**
     * 根据Id获得实体
     *
     * @param id
     * @return
     */
    WxCouponActionLog getById(Long id);
    
        /**
     * 保存或更新实体
     *
     * @param record
     */
    void saveOrUpdate(WxCouponActionLog record);

    /**
     * 根据Id删除实体
     *
     * @param id
     */
    void deleteById(Long id);


    void addOne(String tenantId,Long couponId,Long coupon_order_id,int channelType,Long channelId);


    int getCountByChannelId(String tenantId, int channelType, Long channelId);
	
	
}
